"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SNSMock = void 0;
const typescript_helper_functions_1 = require("typescript-helper-functions");
// tslint:disable-next-line: no-var-requires
const AWS = require('aws-sdk');
/**
 * SNS Mock class
 */
class SNSMock extends typescript_helper_functions_1.BaseMock {
    constructor() {
        super(...arguments);
        /**
         * Mocks an AWS.SNS.PublishResponse response
         */
        this.PublishResponse = {};
    }
    /**
     * Create the SNS mock
     */
    CreateMock(returnError) {
        const rejectResponse = new Error(`AWS Error`);
        // implement the AWS responses
        const awsResponses = {
            // publish response
            publish: {
                promise: jest.fn().mockImplementation(() => {
                    return returnError ?
                        Promise.reject(rejectResponse) :
                        Promise.resolve(this.PublishResponse);
                }),
            },
        };
        // create the functions
        let functions = new AWS.SNS();
        functions = {
            publish: () => awsResponses.publish,
        };
        return functions;
    }
}
exports.SNSMock = SNSMock;
//# sourceMappingURL=mock.js.map